%define ver    4.0.3
%define prefix 		/usr
%define homedir		/usr/share/fml
%define spooldir	/var/spool/fml
%define execdir		/usr/bin

Name: fml
Version: %{ver}
Release: 2AX
License: GPL
URL: http://www.fml.org/
Source: ftp://ftp.fml.org/pub/fml/stable/%{name}-%{ver}.tar.gz
Group: System Environment/Daemons
Summary: mailing list server and utility package
Requires: perl >= 5.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: sed
PreReq: shadow-utils
AutoReqProv: 0

%description 
FML is a package of mailing list server and utility programs. It
consists of perl scripts. It has been developed, tested and advanced
in Japan from 1993 to 2001.

%prep
%setup -q -n %{name}-%{ver}

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/
mkdir -p $RPM_BUILD_ROOT%{homedir}
mkdir -p $RPM_BUILD_ROOT%{spooldir}
mkdir -p $RPM_BUILD_ROOT%{execdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{ver}


cat <<-EOF >> ./fml-system
\$ML_DIR = '${RPM_BUILD_ROOT}%{spooldir}';
\$DOMAIN = 'domainname';
\$TZ = '+0900';
\$PERSONAL_OR_GROUP = 'personal';
\$FQDN = 'hostname';
\$LANGUAGE = 'English';
\$EXEC_DIR = '${RPM_BUILD_ROOT}%{homedir}';


1;
EOF

echo `pwd`

perl ./makefml -f fml-system install

%install
( cd $RPM_BUILD_ROOT%{homedir}/doc/man
	sed -e 's/\/var\/tmp\/%{name}-%{version}-root//g' fml.8 > fml.8.$$
        mv fml.8.$$ fml.8
	sed -e 's/\/var\/tmp\/%{name}-%{version}-root//g' makefml.1 > makefml.1.$$
        mv makefml.1.$$ makefml.1

  cd $RPM_BUILD_ROOT%{homedir}/sbin/
	sed -e 's/\/var\/tmp\/%{name}-%{version}-root//g' makefml > makefml.$$
        mv makefml.$$ makefml
	chmod 755 makefml
  cd $RPM_BUILD_ROOT%{homedir}/.fml 
        sed -e 's/\/var\/tmp\/%{name}-%{version}-root//g' system > system.$$ 
        mv system.$$ system
	sed -e "s/`hostname`/miraclelinux/g" system > system.$$
        mv system.$$ system
  cd ..
	rm Configurations
	ln -sf .fml Configurations
	sed -e 's/\/var\/tmp\/%{name}-%{version}-root//g' makefml > makefml.$$
	mv makefml.$$ makefml
	chmod 755 makefml
)

cp $RPM_BUILD_ROOT%{homedir}/makefml $RPM_BUILD_ROOT%{execdir}/
mv $RPM_BUILD_ROOT%{homedir}/doc/man/fml.8  $RPM_BUILD_ROOT%{_mandir}/man8/
mv $RPM_BUILD_ROOT%{homedir}/doc/man/makefml.1  $RPM_BUILD_ROOT%{_mandir}/man1/
rm -r $RPM_BUILD_ROOT%{homedir}/doc/man
mv $RPM_BUILD_ROOT%{homedir}/doc/*  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{ver}/
rm -r $RPM_BUILD_ROOT%{homedir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -eq "1" ] ; then
	/usr/sbin/groupadd -r fml > /dev/null 2>&1 
	/usr/sbin/useradd -r -g fml -c "fml" -s /bin/bash -d /var/spool/fml fml > /dev/null 2>&1
fi

%post
if [ -f /var/lock/subsys/network ] ; then
	cd %{homedir}/.fml
	FQDN=`hostname`
	HOSTNAME=`hostname -d`
	sed -e s/hostname/$FQDN/g system > system.$$
	mv system.$$ system
	sed -e s/domainname/$HOSTNAME/g system > system.$$
	mv system.$$ system
fi

%postun
if [ "$1" -eq "0" ] ; then
	/usr/sbin/userdel fml 
fi

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{ver}
%{_mandir}
%defattr(-,fml,fml)
%{homedir}
%dir %{spooldir}
%dir %{spooldir}/etc
%{execdir}/makefml

%changelog
* Fri Jun  4 2004 Shiro Yamada <shiro@miraclelinux.com> 4.0.3-2AX
- fixed pre and post section

* Thu Apr 8 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
- rebuild for Asianux 1.0

* Wed Mar 13 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- Add PreReq: shadow-utils for useradd and groupadd commands

* Mon Mar 11 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- update 4.0.3 release version
- change spec not to use expect command for non-tty environment
- add %dir to /var/spool/fml and /var/spool/fml/etc

* Tue Aug 14 2001 Tetsuya Matsuzaki <tmatsuza@miraclelinux.com>
- Fix %post

* Mon Jul 27 2001 Tetsuya Matsuzaki <tmatsuza@miraclelinux.com>
- update 4.0.2 release version

* Mon Jul 23 2001 Tetsuya Matsuzaki <tmatsuza@miraclelinux.com>
- update 4.0.1 release version

* Fri May 11 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010509-2k)
- update 4.0 release stable-2001509 version

* Mon Apr 16 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010410-2k)
- update 4.0 release stable-20010410 version
- append "-r" option to groupadd, useradd

* Fri Apr  6 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010405-3k)
- update 4.0 release stable-20010405 version

* Sun Apr  1 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010325-3k)
- update 4.0 release stable-20010325 version
- /var/tmp to %{_tmppath}
- change Source URL.

* Sun Jan 04 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (fml-4.0_stable_20010202-3k)
- update 4.0 release stable-20010202 version

* Tue Nov 05 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20001027-1k]
- update 3.0.1 release stable-20001027 version

* Tue Aug 15 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20000807-1k]
- update 3.0.1 release stable-20000807 version

* Tue Aug  1 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20000729-1k]
- update 3.0.1 release stable-20000729 version

* Sun Jul 10 2000 Kenji Yamaguchi <yamk@kondara.org>
  [fml-3.0.1_stable_20000628-1k]
- update 3.0.1 release stable-20000628 version
- Fixed Source URL.

* Mon Jun 12 2000 Kenji Yamaguchi <yamk@kondara.org>
- 3.0.1 release stable-20000510 version
- remove source1 "fmlmake". That script is here-document.
- _ja is japanese setup

* Sun Jun 11 2000 Kenji Yamaguchi <yamk@kondara.org>
- 3.0.1 release version

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group )

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Oct 20 1999 Motonobu Ichimura <famao@kondara.org>
- added AutoReqProv 

* Sat Oct 16 1999 Motonobu Ichimura <famao@kondara.org>
- move BuildRoot from /var to /var/tmp and added some changes

* Thu Oct 14 1999 Motonobu Ichimura <famao@kondara.org>
- first release

